<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style type="text/css">
        .menu {
            display: flex;
            padding: 0px;
            list-style: none;
        
    
        }
        a{text-decoration: none;}
       
        .menu>li>a {
            padding: 20px 20px;
            text-align: center;
            background-color: darkolivegreen;
        }
       .menu>li:hover{
            background-color: salmon;
        }
        .submenu {
            display: none;
        }
        .submenu li{
            list-style: none;   
        }
        .menu>li:hover .submenu {
            display: block;
        }   
        .has-submenu  {
            position: relative;
        }
        .submenu {
            position: absolute;
            background-color: cadetblue;
            left: 0px;
            top: 35px;
            padding: 0;
            
        }
        .submenu>li>a{
            padding: 12px;
            line-height: 20px;
        }
        .submenu>li>a:hover {
            background-color: crimson;
        }
    </style>
</head>
<body>
    <ul class="menu">
        <li><a href="#">Home</a></li>
        <li class="has-submenu">
            <a href="#">About</a>
            <ul class="submenu">
                <li><a href="#">company</a></li>
                <li><a href="#">team</a></li>
            </ul>
        </li>
        <li><a href="#">contact</a></li>
        <li><a href="#">detail</a></li>
    </ul>
</body>
</html>